Mercurial > hg > xemacs-beta
comparison configure @ 4450:ac6231e0c1df
Automated merge with file:/Sources/xemacs-21.5-checked-out
author | Aidan Kehoe <kehoea@parhasard.net> |
---|---|
date | Wed, 07 May 2008 21:21:08 +0200 |
parents | 13ce402e1736 e4225b6d9389 |
children | 49f8ed034500 |
comparison
equal
deleted
inserted
replaced
4449:13ce402e1736 | 4450:ac6231e0c1df |
---|---|
1660 Database options | 1660 Database options |
1661 ---------------- | 1661 ---------------- |
1662 | 1662 |
1663 --with-database=TYPE Compile with database support. Valid types are `no' | 1663 --with-database=TYPE Compile with database support. Valid types are `no' |
1664 or a comma-separated list of one or more of `berkdb' | 1664 or a comma-separated list of one or more of `berkdb' |
1665 and either `dbm' or `gnudbm'. | 1665 and either `dbm' or `gdbm'. |
1666 --with-ldap Support the LDAP protocol. | 1666 --with-ldap Support the LDAP protocol. |
1667 --with-postgresql Support the PostgreSQL RDBMS. | 1667 --with-postgresql Support the PostgreSQL RDBMS. |
1668 | 1668 |
1669 Mail options | 1669 Mail options |
1670 ------------ | 1670 ------------ |
3771 unset _with_database_args _database_found x y _require_database | 3771 unset _with_database_args _database_found x y _require_database |
3772 | 3772 |
3773 | 3773 |
3774 if test "$enable_database_dbm" = "yes" -a "$enable_database_gdbm" = "yes"; then | 3774 if test "$enable_database_dbm" = "yes" -a "$enable_database_gdbm" = "yes"; then |
3775 (echo "$progname: Usage error:" | 3775 (echo "$progname: Usage error:" |
3776 echo " " "Only one of \`dbm' and \`gnudbm' may be specified | 3776 echo " " "Only one of \`dbm' and \`gdbm' may be specified |
3777 with the \`--with-database' option." | 3777 with the \`--with-database' option." |
3778 echo " Use \`$progname --help' to show usage.") >&2 && exit 1 | 3778 echo " Use \`$progname --help' to show usage.") >&2 && exit 1 |
3779 fi | 3779 fi |
3780 | 3780 |
3781 | 3781 |
4778 IFS=$ac_save_IFS | 4778 IFS=$ac_save_IFS |
4779 case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac | 4779 case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac |
4780 | 4780 |
4781 | 4781 |
4782 | 4782 |
4783 cp "$srcdir/version.sh.in" "$srcdir/version.sh" | |
4784 if test -d "$srcdir/.hg"; then | |
4785 (cd "$srcdir"; hg identify | cut -d " " -f 1 >> version.sh) | |
4786 fi | |
4783 . "$srcdir/version.sh" || exit 1; | 4787 . "$srcdir/version.sh" || exit 1; |
4784 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi | 4788 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi |
4785 : "${verbose=$beta}" | 4789 : "${verbose=$beta}" |
4786 version="${emacs_major_version}.${emacs_minor_version}" | 4790 version="${emacs_major_version}.${emacs_minor_version}" |
4787 cat >>confdefs.h <<_ACEOF | 4791 cat >>confdefs.h <<_ACEOF |
5359 | 5363 |
5360 if test "$enable_newgc" = "yes"; then | 5364 if test "$enable_newgc" = "yes"; then |
5361 if test "$enable_vdb" = "auto"; then | 5365 if test "$enable_vdb" = "auto"; then |
5362 case "$opsys" in | 5366 case "$opsys" in |
5363 darwin ) case "$machine" in | 5367 darwin ) case "$machine" in |
5364 i686 ) check_vdb_posix=yes ;; | 5368 i[3-9]86 ) check_vdb_posix=yes ;; |
5365 * ) cat >>confdefs.h <<\_ACEOF | 5369 * ) cat >>confdefs.h <<\_ACEOF |
5366 #define VDB_MACH 1 | 5370 #define VDB_MACH 1 |
5367 _ACEOF | 5371 _ACEOF |
5368 have_vdb_mach=yes ;; | 5372 have_vdb_mach=yes ;; |
5369 esac ;; | 5373 esac ;; |
25705 ac_res=`eval echo '${'$as_ac_Lib'}'` | 25709 ac_res=`eval echo '${'$as_ac_Lib'}'` |
25706 { echo "$as_me:$LINENO: result: $ac_res" >&5 | 25710 { echo "$as_me:$LINENO: result: $ac_res" >&5 |
25707 echo "${ECHO_T}$ac_res" >&6; } | 25711 echo "${ECHO_T}$ac_res" >&6; } |
25708 if test `eval echo '${'$as_ac_Lib'}'` = yes; then | 25712 if test `eval echo '${'$as_ac_Lib'}'` = yes; then |
25709 | 25713 |
25710 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_threeDClassRec" | $as_tr_sh` | 25714 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_XawSme3dComputeTopShadowRGB" | $as_tr_sh` |
25711 { echo "$as_me:$LINENO: checking for threeDClassRec in -l$athena_variant" >&5 | 25715 { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -l$athena_variant" >&5 |
25712 echo $ECHO_N "checking for threeDClassRec in -l$athena_variant... $ECHO_C" >&6; } | 25716 echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -l$athena_variant... $ECHO_C" >&6; } |
25713 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then | 25717 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then |
25714 echo $ECHO_N "(cached) $ECHO_C" >&6 | 25718 echo $ECHO_N "(cached) $ECHO_C" >&6 |
25715 else | 25719 else |
25716 ac_check_lib_save_LIBS=$LIBS | 25720 ac_check_lib_save_LIBS=$LIBS |
25717 LIBS="-l$athena_variant $LIBS" | 25721 LIBS="-l$athena_variant $LIBS" |
25726 Use char because int might match the return type of a GCC | 25730 Use char because int might match the return type of a GCC |
25727 builtin and then its argument prototype would still apply. */ | 25731 builtin and then its argument prototype would still apply. */ |
25728 #ifdef __cplusplus | 25732 #ifdef __cplusplus |
25729 extern "C" | 25733 extern "C" |
25730 #endif | 25734 #endif |
25731 char threeDClassRec (); | 25735 char XawSme3dComputeTopShadowRGB (); |
25732 int | 25736 int |
25733 main () | 25737 main () |
25734 { | 25738 { |
25735 return threeDClassRec (); | 25739 return XawSme3dComputeTopShadowRGB (); |
25736 ; | 25740 ; |
25737 return 0; | 25741 return 0; |
25738 } | 25742 } |
25739 _ACEOF | 25743 _ACEOF |
25740 rm -f conftest.$ac_objext conftest$ac_exeext | 25744 rm -f conftest.$ac_objext conftest$ac_exeext |
25782 { echo "$as_me:$LINENO: WARNING: Could not find an Athena widget library." >&5 | 25786 { echo "$as_me:$LINENO: WARNING: Could not find an Athena widget library." >&5 |
25783 echo "$as_me: WARNING: Could not find an Athena widget library." >&2;} | 25787 echo "$as_me: WARNING: Could not find an Athena widget library." >&2;} |
25784 fi | 25788 fi |
25785 | 25789 |
25786 else | 25790 else |
25787 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_threeDClassRec" | $as_tr_sh` | 25791 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_XawSme3dComputeTopShadowRGB" | $as_tr_sh` |
25788 { echo "$as_me:$LINENO: checking for threeDClassRec in -l$athena_variant" >&5 | 25792 { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -l$athena_variant" >&5 |
25789 echo $ECHO_N "checking for threeDClassRec in -l$athena_variant... $ECHO_C" >&6; } | 25793 echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -l$athena_variant... $ECHO_C" >&6; } |
25790 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then | 25794 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then |
25791 echo $ECHO_N "(cached) $ECHO_C" >&6 | 25795 echo $ECHO_N "(cached) $ECHO_C" >&6 |
25792 else | 25796 else |
25793 ac_check_lib_save_LIBS=$LIBS | 25797 ac_check_lib_save_LIBS=$LIBS |
25794 LIBS="-l$athena_variant $LIBS" | 25798 LIBS="-l$athena_variant $LIBS" |
25803 Use char because int might match the return type of a GCC | 25807 Use char because int might match the return type of a GCC |
25804 builtin and then its argument prototype would still apply. */ | 25808 builtin and then its argument prototype would still apply. */ |
25805 #ifdef __cplusplus | 25809 #ifdef __cplusplus |
25806 extern "C" | 25810 extern "C" |
25807 #endif | 25811 #endif |
25808 char threeDClassRec (); | 25812 char XawSme3dComputeTopShadowRGB (); |
25809 int | 25813 int |
25810 main () | 25814 main () |
25811 { | 25815 { |
25812 return threeDClassRec (); | 25816 return XawSme3dComputeTopShadowRGB (); |
25813 ; | 25817 ; |
25814 return 0; | 25818 return 0; |
25815 } | 25819 } |
25816 _ACEOF | 25820 _ACEOF |
25817 rm -f conftest.$ac_objext conftest$ac_exeext | 25821 rm -f conftest.$ac_objext conftest$ac_exeext |
25848 { echo "$as_me:$LINENO: result: $ac_res" >&5 | 25852 { echo "$as_me:$LINENO: result: $ac_res" >&5 |
25849 echo "${ECHO_T}$ac_res" >&6; } | 25853 echo "${ECHO_T}$ac_res" >&6; } |
25850 if test `eval echo '${'$as_ac_Lib'}'` = yes; then | 25854 if test `eval echo '${'$as_ac_Lib'}'` = yes; then |
25851 athena_lib=$athena_variant | 25855 athena_lib=$athena_variant |
25852 else | 25856 else |
25853 { echo "$as_me:$LINENO: checking for threeDClassRec in -lXaw" >&5 | 25857 { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -lXaw" >&5 |
25854 echo $ECHO_N "checking for threeDClassRec in -lXaw... $ECHO_C" >&6; } | 25858 echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -lXaw... $ECHO_C" >&6; } |
25855 if test "${ac_cv_lib_Xaw_threeDClassRec+set}" = set; then | 25859 if test "${ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB+set}" = set; then |
25856 echo $ECHO_N "(cached) $ECHO_C" >&6 | 25860 echo $ECHO_N "(cached) $ECHO_C" >&6 |
25857 else | 25861 else |
25858 ac_check_lib_save_LIBS=$LIBS | 25862 ac_check_lib_save_LIBS=$LIBS |
25859 LIBS="-lXaw $LIBS" | 25863 LIBS="-lXaw $LIBS" |
25860 cat >conftest.$ac_ext <<_ACEOF | 25864 cat >conftest.$ac_ext <<_ACEOF |
25868 Use char because int might match the return type of a GCC | 25872 Use char because int might match the return type of a GCC |
25869 builtin and then its argument prototype would still apply. */ | 25873 builtin and then its argument prototype would still apply. */ |
25870 #ifdef __cplusplus | 25874 #ifdef __cplusplus |
25871 extern "C" | 25875 extern "C" |
25872 #endif | 25876 #endif |
25873 char threeDClassRec (); | 25877 char XawSme3dComputeTopShadowRGB (); |
25874 int | 25878 int |
25875 main () | 25879 main () |
25876 { | 25880 { |
25877 return threeDClassRec (); | 25881 return XawSme3dComputeTopShadowRGB (); |
25878 ; | 25882 ; |
25879 return 0; | 25883 return 0; |
25880 } | 25884 } |
25881 _ACEOF | 25885 _ACEOF |
25882 rm -f conftest.$ac_objext conftest$ac_exeext | 25886 rm -f conftest.$ac_objext conftest$ac_exeext |
25895 (exit $ac_status); } && { | 25899 (exit $ac_status); } && { |
25896 test -z "$ac_c_werror_flag" || | 25900 test -z "$ac_c_werror_flag" || |
25897 test ! -s conftest.err | 25901 test ! -s conftest.err |
25898 } && test -s conftest$ac_exeext && | 25902 } && test -s conftest$ac_exeext && |
25899 $as_test_x conftest$ac_exeext; then | 25903 $as_test_x conftest$ac_exeext; then |
25900 ac_cv_lib_Xaw_threeDClassRec=yes | 25904 ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB=yes |
25901 else | 25905 else |
25902 echo "$as_me: failed program was:" >&5 | 25906 echo "$as_me: failed program was:" >&5 |
25903 sed 's/^/| /' conftest.$ac_ext >&5 | 25907 sed 's/^/| /' conftest.$ac_ext >&5 |
25904 | 25908 |
25905 ac_cv_lib_Xaw_threeDClassRec=no | 25909 ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB=no |
25906 fi | 25910 fi |
25907 | 25911 |
25908 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | 25912 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ |
25909 conftest$ac_exeext conftest.$ac_ext | 25913 conftest$ac_exeext conftest.$ac_ext |
25910 LIBS=$ac_check_lib_save_LIBS | 25914 LIBS=$ac_check_lib_save_LIBS |
25911 fi | 25915 fi |
25912 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_threeDClassRec" >&5 | 25916 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB" >&5 |
25913 echo "${ECHO_T}$ac_cv_lib_Xaw_threeDClassRec" >&6; } | 25917 echo "${ECHO_T}$ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB" >&6; } |
25914 if test $ac_cv_lib_Xaw_threeDClassRec = yes; then | 25918 if test $ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB = yes; then |
25915 | 25919 |
25916 athena_lib=Xaw; | 25920 athena_lib=Xaw; |
25917 { echo "$as_me:$LINENO: WARNING: Assuming that libXaw is actually $athena_variant." >&5 | 25921 { echo "$as_me:$LINENO: WARNING: Assuming that libXaw is actually $athena_variant." >&5 |
25918 echo "$as_me: WARNING: Assuming that libXaw is actually $athena_variant." >&2;}; | 25922 echo "$as_me: WARNING: Assuming that libXaw is actually $athena_variant." >&2;}; |
25919 | 25923 |